Typescript (SDK)
import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.hardwareSecurityKeys.delete({
serviceId: "<id>",
handle: "<value>",
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.hardware_security_keys.destroy(service_id: '<id>', handle: '<value>')
unless res.hsk_delete_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.HardwareSecurityKeys.Delete(ctx, "<id>", "<value>")
if err != nil {
log.Fatal(err)
}
if res.HskDeleteResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://us.authlete.com/api/{serviceId}/hsk/delete/{handle} \
--header 'Authorization: Bearer <token>'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "SUCCESS",
"hsk": {
"kty": "<string>",
"use": "<string>",
"kid": "<string>",
"hsmName": "<string>",
"handle": "<string>",
"publicKey": "<string>",
"alg": "<string>"
}
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Hardware Security Key
Delete Security Key
DELETE
/
api
/
{serviceId}
/
hsk
/
delete
/
{handle}
Typescript (SDK)
import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.hardwareSecurityKeys.delete({
serviceId: "<id>",
handle: "<value>",
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.hardware_security_keys.destroy(service_id: '<id>', handle: '<value>')
unless res.hsk_delete_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.HardwareSecurityKeys.Delete(ctx, "<id>", "<value>")
if err != nil {
log.Fatal(err)
}
if res.HskDeleteResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://us.authlete.com/api/{serviceId}/hsk/delete/{handle} \
--header 'Authorization: Bearer <token>'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "SUCCESS",
"hsk": {
"kty": "<string>",
"use": "<string>",
"kid": "<string>",
"hsmName": "<string>",
"handle": "<string>",
"publicKey": "<string>",
"alg": "<string>"
}
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Authorizations
Authenticate every request with a Service Access Token or Organization Token.
Set the token value in the Authorization: Bearer <token> header.
Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.
Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.
Both token types are issued by the Authlete console or provisioning APIs.
Response
HSK deleted successfully
The code which represents the result of the API call.
A short message which explains the result of the API call.
Result of the API call
Available options:
SUCCESS, INVALID_REQUEST, NOT_FOUND, SERVER_ERROR Holds information about a key managed in an HSM (Hardware Security Module)
Show child attributes
Show child attributes